<script>
jQuery(document).ready(function($){
	$('#displet_delete_selected_saved_searches').click(function(){
		var searches_array = new Array();
		$('.displetreader.displet-saved-searches-page table input:checked').each(function(){
			searches_array.push($(this).attr('id'))
		});
		if (searches_array.length) {
			var confirm = window.confirm('Are you sure you wish to delete the selected saved searches?');
			if (confirm == true){
				var data = {
				    action: 'displet_delete_searches_request',
				    _ajax_nonce: '<?php echo wp_create_nonce("displet_delete_searches_nonce"); ?>',
				    displet_searches: searches_array,
				};
				$.post("<?php echo admin_url('admin-ajax.php'); ?>", data, function(response) {
					if (response == 'Succesful Deletion') {
						window.location.reload();
					}
					else {
						alert(response);
						window.location.reload();
					}
				});
			}
		}
		else{
			alert('No saved search has been selected.');
		}
	});
});
</script>
<?php
	$displetretsidx_option = DispletRetsIdxSettings::get_option();
	$user_id = get_current_user_id();
	$saved_searches = get_user_meta($user_id, 'displet_saved_searches');
?>
<div class="wrap displetreader displet-saved-searches-page">
	<h2>Saved Searches</h2>
	<table>
		<?php $i = 0; if (!empty($saved_searches)) : foreach ($saved_searches[0] as $saved_search) : ?>
			<tr>
				<td class="select">
					<input id="<?php echo $i; ?>" type="checkbox">
				</td>
				<td>
					<a href="<?php echo get_permalink($displetretsidx_option['search_results_page_id']) . $saved_search['hash']; ?>">
						<?php
							$trimmed_hash = str_replace('#', '', trim($saved_search['hash'], '/'));
							$hash_array = explode('/', $trimmed_hash);
							if (!empty($hash_array)) {
								$output = '';
								foreach ($hash_array as $value) {
									if (strpos($value, 'price') !== false) {
										$value .= 'k';
									}
									$value = str_replace('_', ' ', $value);
									$value = ucwords($value);
									$output .= str_replace('=', ': ', $value) . ' - ';
								}
								echo rtrim($output, ' - ');
							}
						?>
					</a>
				</td>
			</tr>
		<?php $i++; endforeach; else : ?>
			<tr>
				<td>You have no saved searches at this time.</td>
			</tr>
		<?php endif; ?>
	</table>
	<div class="submit">
		<a href="javascript:void(0);" id="displet_delete_selected_saved_searches" class="button-primary">Delete Selected Saved Searches</a>
	</div>
	<div class="displet-response"><!-- --></div>
</div>